<div class="row">
    <div class="col-xs-12">
        <img [src]="recipe.imagePath" alt="" style="max-height: 50px" class="img-responsive">
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <h1>{{recipe.name}}</h1>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <p class="alert alert-warning" *ngIf="!auth.isAuthenticate()">Don't forget to login if you want to edit the
            recipe</p>
        <ng-template [ngIf]="auth.isAuthenticate()">
            <div class="btn-group" appDropdown>


                <button type="button" class="btn btn-primary dropdown-toggle">
                    Manage <span class="caret"></span>
                </button>
                <ul class="dropdown-menu">
                    <li><a style="cursor:pointer" (click)="onAddToShoppingList()">Shopping List</a></li>
                    <li><a style="cursor:pointer" [routerLink]="['edit']">Edit Recipe</a></li>
                    <li><a style="cursor:pointer" (click)="onDelete()">Delete Recipe</a></li>
                </ul>
            </div>
        </ng-template>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">{{recipe.description}}</div>
</div>
<div class="row">
    <div class="col-xs-12">
        <ul class="list-group">
            <li class="list-group-item" *ngFor="let ingredient of recipe.ingredients">
                {{ingredient.name}} - {{ingredient.amount}}
            </li>
        </ul>
    </div>
</div>